curl --request PATCH \
--url https://kms.{region}.basaltic.sh/v1/keys/{key_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://kms.{region}.basaltic.sh/v1/keys/{key_id}"
payload = {
"description": "<string>",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', tags: {environment: 'production', team: 'backend'}})
};
fetch('https://kms.{region}.basaltic.sh/v1/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"id": "3f8a1c2e-9b47-4d6a-bc11-0e2f5a7d9c41",
"crn": "crn:kms:sa-saopaulo-1:my-account:key/prod-master",
"name": "prod-master",
"tags": {
"environment": "production",
"team": "backend"
},
"key_spec": "aes-256",
"key_usage": "encrypt_decrypt",
"state": "enabled",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z",
"description": "Master KEK for the production data plane",
"system": true,
"deleted_at": "2023-11-07T05:31:56Z",
"recovery_window_days": 18,
"scheduled_purge_at": "2026-01-22T09:30:00Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Atualizar metadados da chave
Atualização parcial da descrição e tags. O nome é imutável. A chave não deve estar em state=pending_deletion — cancele a exclusão primeiro.
kms:UpdateKey. Consulte permissões de KMS para obter a lista completa, o que cada uma abrange e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Parâmetros de caminho
"3f8a1c2e-9b47-4d6a-bc11-0e2f5a7d9c41"
Corpo
Os nomes são fixos na criação porque formam o CRN usado pelas políticas do IAM. Enviar nome em uma atualização, incluindo um valor inalterado, vazio ou nulo, retorna um erro de validação. Atualização parcial — apenas os campos fornecidos são alterados. A chave não deve estar em state=pending_deletion.
Resposta
Chave atualizada
Show child attributes
Show child attributes

